classification
Title: Deleting Request data does not update Content-length header.
Type: behavior Stage: resolved
Components: Library (Lib) Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: dwoz, orsenthil, python-dev, r.david.murray
Priority: normal Keywords: patch

Created on 2013-03-19 20:25 by dwoz, last changed 2014-03-10 22:11 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
patch.diff dwoz, 2013-03-19 20:25 Patch to resolve and test this issue review
Messages (4)
msg184668 - (view) Author: Daniel Wozniak (dwoz) Date: 2013-03-19 20:25
The patch to fix issue http://bugs.python.org/issue16464 neglects the deleter method of the Request.data property. This allows Request._data to get updated without removing the Content-length header.
msg184731 - (view) Author: Roundup Robot (python-dev) Date: 2013-03-20 04:15
New changeset b1579eb4e1bc by R David Murray in branch 'default':
#17485: Delete the Content-Length header if the data attribute is deleted.
http://hg.python.org/cpython/rev/b1579eb4e1bc
msg184734 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2013-03-20 04:17
Thanks, Daniel.  I moved the test so that it would be run even if the network resource is not enabled.
msg213094 - (view) Author: Roundup Robot (python-dev) Date: 2014-03-10 22:11
New changeset e6d862886e5c by R David Murray in branch 'default':
whatsnew: urllib Request objects are now reusable.
http://hg.python.org/cpython/rev/e6d862886e5c
History
Date User Action Args
2014-03-10 22:11:19python-devsetmessages: + msg213094
2013-03-20 04:17:49r.david.murraysetstatus: open -> closed

type: behavior

nosy: + r.david.murray
messages: + msg184734
resolution: fixed
stage: resolved
2013-03-20 04:15:58python-devsetnosy: + python-dev
messages: + msg184731
2013-03-19 20:25:50dwozcreate